Deleted Added
full compact
Makefile.in (271614) Makefile.in (271624)
1# Makefile.in generated by automake 1.14 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.am 714 2013-08-19 15:30:21Z des $
18
19VPATH = @srcdir@
20am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
21am__make_running_with_option = \
22 case $${target_option-} in \
23 ?) ;; \
24 *) echo "am__make_running_with_option: internal error: invalid" \
25 "target option '$${target_option-}' specified" >&2; \
26 exit 1;; \
27 esac; \
28 has_opt=no; \
29 sane_makeflags=$$MAKEFLAGS; \
30 if $(am__is_gnu_make); then \
31 sane_makeflags=$$MFLAGS; \
32 else \
33 case $$MAKEFLAGS in \
34 *\\[\ \ ]*) \
35 bs=\\; \
36 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
37 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
38 esac; \
39 fi; \
40 skip_next=no; \
41 strip_trailopt () \
42 { \
43 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
44 }; \
45 for flg in $$sane_makeflags; do \
46 test $$skip_next = yes && { skip_next=no; continue; }; \
47 case $$flg in \
48 *=*|--*) continue;; \
49 -*I) strip_trailopt 'I'; skip_next=yes;; \
50 -*I?*) strip_trailopt 'I';; \
51 -*O) strip_trailopt 'O'; skip_next=yes;; \
52 -*O?*) strip_trailopt 'O';; \
53 -*l) strip_trailopt 'l'; skip_next=yes;; \
54 -*l?*) strip_trailopt 'l';; \
55 -[dEDm]) skip_next=yes;; \
56 -[JT]) skip_next=yes;; \
57 esac; \
58 case $$flg in \
59 *$$target_option*) has_opt=yes; break;; \
60 esac; \
61 done; \
62 test $$has_opt = yes
63am__make_dryrun = (target_option=n; $(am__make_running_with_option))
64am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
65pkgdatadir = $(datadir)/@PACKAGE@
66pkgincludedir = $(includedir)/@PACKAGE@
67pkglibdir = $(libdir)/@PACKAGE@
68pkglibexecdir = $(libexecdir)/@PACKAGE@
69am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70install_sh_DATA = $(install_sh) -c -m 644
71install_sh_PROGRAM = $(install_sh) -c
72install_sh_SCRIPT = $(install_sh) -c
73INSTALL_HEADER = $(INSTALL_DATA)
74transform = $(program_transform_name)
75NORMAL_INSTALL = :
76PRE_INSTALL = :
77POST_INSTALL = :
78NORMAL_UNINSTALL = :
79PRE_UNINSTALL = :
80POST_UNINSTALL = :
81build_triplet = @build@
82host_triplet = @host@
83subdir = include/security
84DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
85 $(security_HEADERS)
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
1# Makefile.in generated by automake 1.14 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.am 714 2013-08-19 15:30:21Z des $
18
19VPATH = @srcdir@
20am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
21am__make_running_with_option = \
22 case $${target_option-} in \
23 ?) ;; \
24 *) echo "am__make_running_with_option: internal error: invalid" \
25 "target option '$${target_option-}' specified" >&2; \
26 exit 1;; \
27 esac; \
28 has_opt=no; \
29 sane_makeflags=$$MAKEFLAGS; \
30 if $(am__is_gnu_make); then \
31 sane_makeflags=$$MFLAGS; \
32 else \
33 case $$MAKEFLAGS in \
34 *\\[\ \ ]*) \
35 bs=\\; \
36 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
37 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
38 esac; \
39 fi; \
40 skip_next=no; \
41 strip_trailopt () \
42 { \
43 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
44 }; \
45 for flg in $$sane_makeflags; do \
46 test $$skip_next = yes && { skip_next=no; continue; }; \
47 case $$flg in \
48 *=*|--*) continue;; \
49 -*I) strip_trailopt 'I'; skip_next=yes;; \
50 -*I?*) strip_trailopt 'I';; \
51 -*O) strip_trailopt 'O'; skip_next=yes;; \
52 -*O?*) strip_trailopt 'O';; \
53 -*l) strip_trailopt 'l'; skip_next=yes;; \
54 -*l?*) strip_trailopt 'l';; \
55 -[dEDm]) skip_next=yes;; \
56 -[JT]) skip_next=yes;; \
57 esac; \
58 case $$flg in \
59 *$$target_option*) has_opt=yes; break;; \
60 esac; \
61 done; \
62 test $$has_opt = yes
63am__make_dryrun = (target_option=n; $(am__make_running_with_option))
64am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
65pkgdatadir = $(datadir)/@PACKAGE@
66pkgincludedir = $(includedir)/@PACKAGE@
67pkglibdir = $(libdir)/@PACKAGE@
68pkglibexecdir = $(libexecdir)/@PACKAGE@
69am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70install_sh_DATA = $(install_sh) -c -m 644
71install_sh_PROGRAM = $(install_sh) -c
72install_sh_SCRIPT = $(install_sh) -c
73INSTALL_HEADER = $(INSTALL_DATA)
74transform = $(program_transform_name)
75NORMAL_INSTALL = :
76PRE_INSTALL = :
77POST_INSTALL = :
78NORMAL_UNINSTALL = :
79PRE_UNINSTALL = :
80POST_UNINSTALL = :
81build_triplet = @build@
82host_triplet = @host@
83subdir = include/security
84DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
85 $(security_HEADERS)
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
88 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
89 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
90 $(top_srcdir)/configure.ac
87am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92 $(ACLOCAL_M4)
93mkinstalldirs = $(install_sh) -d
94CONFIG_HEADER = $(top_builddir)/config.h
95CONFIG_CLEAN_FILES =
96CONFIG_CLEAN_VPATH_FILES =
97AM_V_P = $(am__v_P_@AM_V@)
98am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
99am__v_P_0 = false
100am__v_P_1 = :
101AM_V_GEN = $(am__v_GEN_@AM_V@)
102am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
103am__v_GEN_0 = @echo " GEN " $@;
104am__v_GEN_1 =
105AM_V_at = $(am__v_at_@AM_V@)
106am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
107am__v_at_0 = @
108am__v_at_1 =
109SOURCES =
110DIST_SOURCES =
111am__can_run_installinfo = \
112 case $$AM_UPDATE_INFO_DIR in \
113 n|no|NO) false;; \
114 *) (install-info --version) >/dev/null 2>&1;; \
115 esac
116am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
117am__vpath_adj = case $$p in \
118 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
119 *) f=$$p;; \
120 esac;
121am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
122am__install_max = 40
123am__nobase_strip_setup = \
124 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
125am__nobase_strip = \
126 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
127am__nobase_list = $(am__nobase_strip_setup); \
128 for p in $$list; do echo "$$p $$p"; done | \
129 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
130 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
131 if (++n[$$2] == $(am__install_max)) \
132 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
133 END { for (dir in files) print dir, files[dir] }'
134am__base_list = \
135 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
136 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
137am__uninstall_files_from_dir = { \
138 test -z "$$files" \
139 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
140 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
141 $(am__cd) "$$dir" && rm -f $$files; }; \
142 }
143am__installdirs = "$(DESTDIR)$(securitydir)"
144HEADERS = $(security_HEADERS)
145am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
146# Read a list of newline-separated strings from the standard input,
147# and print each of them once, without duplicates. Input order is
148# *not* preserved.
149am__uniquify_input = $(AWK) '\
150 BEGIN { nonempty = 0; } \
151 { items[$$0] = 1; nonempty = 1; } \
152 END { if (nonempty) { for (i in items) print i; }; } \
153'
154# Make sure the list of sources is unique. This is necessary because,
155# e.g., the same source file might be shared among _SOURCES variables
156# for different programs/libraries.
157am__define_uniq_tagged_files = \
158 list='$(am__tagged_files)'; \
159 unique=`for i in $$list; do \
160 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
161 done | $(am__uniquify_input)`
162ETAGS = etags
163CTAGS = ctags
164DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
165ACLOCAL = @ACLOCAL@
166AMTAR = @AMTAR@
167AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
168AR = @AR@
169AUTOCONF = @AUTOCONF@
170AUTOHEADER = @AUTOHEADER@
171AUTOMAKE = @AUTOMAKE@
172AWK = @AWK@
173CC = @CC@
174CCDEPMODE = @CCDEPMODE@
175CFLAGS = @CFLAGS@
176CPP = @CPP@
177CPPFLAGS = @CPPFLAGS@
178CRYPTO_LIBS = @CRYPTO_LIBS@
179CRYPT_LIBS = @CRYPT_LIBS@
180CYGPATH_W = @CYGPATH_W@
181DEFS = @DEFS@
182DEPDIR = @DEPDIR@
183DLLTOOL = @DLLTOOL@
184DL_LIBS = @DL_LIBS@
185DSYMUTIL = @DSYMUTIL@
186DUMPBIN = @DUMPBIN@
187ECHO_C = @ECHO_C@
188ECHO_N = @ECHO_N@
189ECHO_T = @ECHO_T@
190EGREP = @EGREP@
191EXEEXT = @EXEEXT@
192FGREP = @FGREP@
193GREP = @GREP@
194INSTALL = @INSTALL@
195INSTALL_DATA = @INSTALL_DATA@
196INSTALL_PROGRAM = @INSTALL_PROGRAM@
197INSTALL_SCRIPT = @INSTALL_SCRIPT@
198INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
199LD = @LD@
200LDFLAGS = @LDFLAGS@
201LIBOBJS = @LIBOBJS@
202LIBS = @LIBS@
203LIBTOOL = @LIBTOOL@
204LIB_MAJ = @LIB_MAJ@
205LIPO = @LIPO@
206LN_S = @LN_S@
207LTLIBOBJS = @LTLIBOBJS@
208MAKEINFO = @MAKEINFO@
209MANIFEST_TOOL = @MANIFEST_TOOL@
210MKDIR_P = @MKDIR_P@
211NM = @NM@
212NMEDIT = @NMEDIT@
213OBJDUMP = @OBJDUMP@
214OBJEXT = @OBJEXT@
215OPENPAM_MODULES_DIR = @OPENPAM_MODULES_DIR@
216OTOOL = @OTOOL@
217OTOOL64 = @OTOOL64@
218PACKAGE = @PACKAGE@
219PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
220PACKAGE_NAME = @PACKAGE_NAME@
221PACKAGE_STRING = @PACKAGE_STRING@
222PACKAGE_TARNAME = @PACKAGE_TARNAME@
223PACKAGE_URL = @PACKAGE_URL@
224PACKAGE_VERSION = @PACKAGE_VERSION@
225PATH_SEPARATOR = @PATH_SEPARATOR@
226RANLIB = @RANLIB@
227SED = @SED@
228SET_MAKE = @SET_MAKE@
229SHELL = @SHELL@
230STRIP = @STRIP@
231VERSION = @VERSION@
232abs_builddir = @abs_builddir@
233abs_srcdir = @abs_srcdir@
234abs_top_builddir = @abs_top_builddir@
235abs_top_srcdir = @abs_top_srcdir@
236ac_ct_AR = @ac_ct_AR@
237ac_ct_CC = @ac_ct_CC@
238ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
239am__include = @am__include@
240am__leading_dot = @am__leading_dot@
241am__quote = @am__quote@
242am__tar = @am__tar@
243am__untar = @am__untar@
244bindir = @bindir@
245build = @build@
246build_alias = @build_alias@
247build_cpu = @build_cpu@
248build_os = @build_os@
249build_vendor = @build_vendor@
250builddir = @builddir@
251datadir = @datadir@
252datarootdir = @datarootdir@
253docdir = @docdir@
254dvidir = @dvidir@
255exec_prefix = @exec_prefix@
256host = @host@
257host_alias = @host_alias@
258host_cpu = @host_cpu@
259host_os = @host_os@
260host_vendor = @host_vendor@
261htmldir = @htmldir@
262includedir = @includedir@
263infodir = @infodir@
264install_sh = @install_sh@
265libdir = @libdir@
266libexecdir = @libexecdir@
267localedir = @localedir@
268localstatedir = @localstatedir@
269mandir = @mandir@
270mkdir_p = @mkdir_p@
271oldincludedir = @oldincludedir@
272pdfdir = @pdfdir@
273prefix = @prefix@
274program_transform_name = @program_transform_name@
275psdir = @psdir@
276sbindir = @sbindir@
277sharedstatedir = @sharedstatedir@
278srcdir = @srcdir@
279sysconfdir = @sysconfdir@
280target_alias = @target_alias@
281top_build_prefix = @top_build_prefix@
282top_builddir = @top_builddir@
283top_srcdir = @top_srcdir@
284securitydir = $(includedir)/security
285security_HEADERS = \
286 openpam.h \
287 openpam_attr.h \
288 openpam_version.h \
289 pam_appl.h \
290 pam_constants.h \
291 pam_modules.h \
292 pam_types.h
293
294all: all-am
295
296.SUFFIXES:
297$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
298 @for dep in $?; do \
299 case '$(am__configure_deps)' in \
300 *$$dep*) \
301 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
302 && { if test -f $@; then exit 0; else break; fi; }; \
303 exit 1;; \
304 esac; \
305 done; \
306 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign include/security/Makefile'; \
307 $(am__cd) $(top_srcdir) && \
308 $(AUTOMAKE) --foreign include/security/Makefile
309.PRECIOUS: Makefile
310Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
311 @case '$?' in \
312 *config.status*) \
313 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
314 *) \
315 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
316 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
317 esac;
318
319$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
320 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
321
322$(top_srcdir)/configure: $(am__configure_deps)
323 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
324$(ACLOCAL_M4): $(am__aclocal_m4_deps)
325 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
326$(am__aclocal_m4_deps):
327
328mostlyclean-libtool:
329 -rm -f *.lo
330
331clean-libtool:
332 -rm -rf .libs _libs
333install-securityHEADERS: $(security_HEADERS)
334 @$(NORMAL_INSTALL)
335 @list='$(security_HEADERS)'; test -n "$(securitydir)" || list=; \
336 if test -n "$$list"; then \
337 echo " $(MKDIR_P) '$(DESTDIR)$(securitydir)'"; \
338 $(MKDIR_P) "$(DESTDIR)$(securitydir)" || exit 1; \
339 fi; \
340 for p in $$list; do \
341 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
342 echo "$$d$$p"; \
343 done | $(am__base_list) | \
344 while read files; do \
345 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(securitydir)'"; \
346 $(INSTALL_HEADER) $$files "$(DESTDIR)$(securitydir)" || exit $$?; \
347 done
348
349uninstall-securityHEADERS:
350 @$(NORMAL_UNINSTALL)
351 @list='$(security_HEADERS)'; test -n "$(securitydir)" || list=; \
352 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
353 dir='$(DESTDIR)$(securitydir)'; $(am__uninstall_files_from_dir)
354
355ID: $(am__tagged_files)
356 $(am__define_uniq_tagged_files); mkid -fID $$unique
357tags: tags-am
358TAGS: tags
359
360tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
361 set x; \
362 here=`pwd`; \
363 $(am__define_uniq_tagged_files); \
364 shift; \
365 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
366 test -n "$$unique" || unique=$$empty_fix; \
367 if test $$# -gt 0; then \
368 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
369 "$$@" $$unique; \
370 else \
371 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
372 $$unique; \
373 fi; \
374 fi
375ctags: ctags-am
376
377CTAGS: ctags
378ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
379 $(am__define_uniq_tagged_files); \
380 test -z "$(CTAGS_ARGS)$$unique" \
381 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
382 $$unique
383
384GTAGS:
385 here=`$(am__cd) $(top_builddir) && pwd` \
386 && $(am__cd) $(top_srcdir) \
387 && gtags -i $(GTAGS_ARGS) "$$here"
388cscopelist: cscopelist-am
389
390cscopelist-am: $(am__tagged_files)
391 list='$(am__tagged_files)'; \
392 case "$(srcdir)" in \
393 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
394 *) sdir=$(subdir)/$(srcdir) ;; \
395 esac; \
396 for i in $$list; do \
397 if test -f "$$i"; then \
398 echo "$(subdir)/$$i"; \
399 else \
400 echo "$$sdir/$$i"; \
401 fi; \
402 done >> $(top_builddir)/cscope.files
403
404distclean-tags:
405 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
406
407distdir: $(DISTFILES)
408 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
409 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
410 list='$(DISTFILES)'; \
411 dist_files=`for file in $$list; do echo $$file; done | \
412 sed -e "s|^$$srcdirstrip/||;t" \
413 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
414 case $$dist_files in \
415 */*) $(MKDIR_P) `echo "$$dist_files" | \
416 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
417 sort -u` ;; \
418 esac; \
419 for file in $$dist_files; do \
420 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
421 if test -d $$d/$$file; then \
422 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
423 if test -d "$(distdir)/$$file"; then \
424 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
425 fi; \
426 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
427 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
428 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
429 fi; \
430 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
431 else \
432 test -f "$(distdir)/$$file" \
433 || cp -p $$d/$$file "$(distdir)/$$file" \
434 || exit 1; \
435 fi; \
436 done
437check-am: all-am
438check: check-am
439all-am: Makefile $(HEADERS)
440installdirs:
441 for dir in "$(DESTDIR)$(securitydir)"; do \
442 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
443 done
444install: install-am
445install-exec: install-exec-am
446install-data: install-data-am
447uninstall: uninstall-am
448
449install-am: all-am
450 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
451
452installcheck: installcheck-am
453install-strip:
454 if test -z '$(STRIP)'; then \
455 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
456 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
457 install; \
458 else \
459 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
460 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
461 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
462 fi
463mostlyclean-generic:
464
465clean-generic:
466
467distclean-generic:
468 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
469 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
470
471maintainer-clean-generic:
472 @echo "This command is intended for maintainers to use"
473 @echo "it deletes files that may require special tools to rebuild."
474clean: clean-am
475
476clean-am: clean-generic clean-libtool mostlyclean-am
477
478distclean: distclean-am
479 -rm -f Makefile
480distclean-am: clean-am distclean-generic distclean-tags
481
482dvi: dvi-am
483
484dvi-am:
485
486html: html-am
487
488html-am:
489
490info: info-am
491
492info-am:
493
494install-data-am: install-securityHEADERS
495
496install-dvi: install-dvi-am
497
498install-dvi-am:
499
500install-exec-am:
501
502install-html: install-html-am
503
504install-html-am:
505
506install-info: install-info-am
507
508install-info-am:
509
510install-man:
511
512install-pdf: install-pdf-am
513
514install-pdf-am:
515
516install-ps: install-ps-am
517
518install-ps-am:
519
520installcheck-am:
521
522maintainer-clean: maintainer-clean-am
523 -rm -f Makefile
524maintainer-clean-am: distclean-am maintainer-clean-generic
525
526mostlyclean: mostlyclean-am
527
528mostlyclean-am: mostlyclean-generic mostlyclean-libtool
529
530pdf: pdf-am
531
532pdf-am:
533
534ps: ps-am
535
536ps-am:
537
538uninstall-am: uninstall-securityHEADERS
539
540.MAKE: install-am install-strip
541
542.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
543 clean-libtool cscopelist-am ctags ctags-am distclean \
544 distclean-generic distclean-libtool distclean-tags distdir dvi \
545 dvi-am html html-am info info-am install install-am \
546 install-data install-data-am install-dvi install-dvi-am \
547 install-exec install-exec-am install-html install-html-am \
548 install-info install-info-am install-man install-pdf \
549 install-pdf-am install-ps install-ps-am \
550 install-securityHEADERS install-strip installcheck \
551 installcheck-am installdirs maintainer-clean \
552 maintainer-clean-generic mostlyclean mostlyclean-generic \
553 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
554 uninstall-am uninstall-securityHEADERS
555
556
557# Tell versions [3.59,3.63) of GNU make to not export all variables.
558# Otherwise a system limit (for SysV at least) may be exceeded.
559.NOEXPORT:
88am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
89 $(ACLOCAL_M4)
90mkinstalldirs = $(install_sh) -d
91CONFIG_HEADER = $(top_builddir)/config.h
92CONFIG_CLEAN_FILES =
93CONFIG_CLEAN_VPATH_FILES =
94AM_V_P = $(am__v_P_@AM_V@)
95am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
96am__v_P_0 = false
97am__v_P_1 = :
98AM_V_GEN = $(am__v_GEN_@AM_V@)
99am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
100am__v_GEN_0 = @echo " GEN " $@;
101am__v_GEN_1 =
102AM_V_at = $(am__v_at_@AM_V@)
103am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
104am__v_at_0 = @
105am__v_at_1 =
106SOURCES =
107DIST_SOURCES =
108am__can_run_installinfo = \
109 case $$AM_UPDATE_INFO_DIR in \
110 n|no|NO) false;; \
111 *) (install-info --version) >/dev/null 2>&1;; \
112 esac
113am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
114am__vpath_adj = case $$p in \
115 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
116 *) f=$$p;; \
117 esac;
118am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
119am__install_max = 40
120am__nobase_strip_setup = \
121 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
122am__nobase_strip = \
123 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
124am__nobase_list = $(am__nobase_strip_setup); \
125 for p in $$list; do echo "$$p $$p"; done | \
126 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
127 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
128 if (++n[$$2] == $(am__install_max)) \
129 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
130 END { for (dir in files) print dir, files[dir] }'
131am__base_list = \
132 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
133 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
134am__uninstall_files_from_dir = { \
135 test -z "$$files" \
136 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
137 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
138 $(am__cd) "$$dir" && rm -f $$files; }; \
139 }
140am__installdirs = "$(DESTDIR)$(securitydir)"
141HEADERS = $(security_HEADERS)
142am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
143# Read a list of newline-separated strings from the standard input,
144# and print each of them once, without duplicates. Input order is
145# *not* preserved.
146am__uniquify_input = $(AWK) '\
147 BEGIN { nonempty = 0; } \
148 { items[$$0] = 1; nonempty = 1; } \
149 END { if (nonempty) { for (i in items) print i; }; } \
150'
151# Make sure the list of sources is unique. This is necessary because,
152# e.g., the same source file might be shared among _SOURCES variables
153# for different programs/libraries.
154am__define_uniq_tagged_files = \
155 list='$(am__tagged_files)'; \
156 unique=`for i in $$list; do \
157 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
158 done | $(am__uniquify_input)`
159ETAGS = etags
160CTAGS = ctags
161DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162ACLOCAL = @ACLOCAL@
163AMTAR = @AMTAR@
164AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
165AR = @AR@
166AUTOCONF = @AUTOCONF@
167AUTOHEADER = @AUTOHEADER@
168AUTOMAKE = @AUTOMAKE@
169AWK = @AWK@
170CC = @CC@
171CCDEPMODE = @CCDEPMODE@
172CFLAGS = @CFLAGS@
173CPP = @CPP@
174CPPFLAGS = @CPPFLAGS@
175CRYPTO_LIBS = @CRYPTO_LIBS@
176CRYPT_LIBS = @CRYPT_LIBS@
177CYGPATH_W = @CYGPATH_W@
178DEFS = @DEFS@
179DEPDIR = @DEPDIR@
180DLLTOOL = @DLLTOOL@
181DL_LIBS = @DL_LIBS@
182DSYMUTIL = @DSYMUTIL@
183DUMPBIN = @DUMPBIN@
184ECHO_C = @ECHO_C@
185ECHO_N = @ECHO_N@
186ECHO_T = @ECHO_T@
187EGREP = @EGREP@
188EXEEXT = @EXEEXT@
189FGREP = @FGREP@
190GREP = @GREP@
191INSTALL = @INSTALL@
192INSTALL_DATA = @INSTALL_DATA@
193INSTALL_PROGRAM = @INSTALL_PROGRAM@
194INSTALL_SCRIPT = @INSTALL_SCRIPT@
195INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
196LD = @LD@
197LDFLAGS = @LDFLAGS@
198LIBOBJS = @LIBOBJS@
199LIBS = @LIBS@
200LIBTOOL = @LIBTOOL@
201LIB_MAJ = @LIB_MAJ@
202LIPO = @LIPO@
203LN_S = @LN_S@
204LTLIBOBJS = @LTLIBOBJS@
205MAKEINFO = @MAKEINFO@
206MANIFEST_TOOL = @MANIFEST_TOOL@
207MKDIR_P = @MKDIR_P@
208NM = @NM@
209NMEDIT = @NMEDIT@
210OBJDUMP = @OBJDUMP@
211OBJEXT = @OBJEXT@
212OPENPAM_MODULES_DIR = @OPENPAM_MODULES_DIR@
213OTOOL = @OTOOL@
214OTOOL64 = @OTOOL64@
215PACKAGE = @PACKAGE@
216PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
217PACKAGE_NAME = @PACKAGE_NAME@
218PACKAGE_STRING = @PACKAGE_STRING@
219PACKAGE_TARNAME = @PACKAGE_TARNAME@
220PACKAGE_URL = @PACKAGE_URL@
221PACKAGE_VERSION = @PACKAGE_VERSION@
222PATH_SEPARATOR = @PATH_SEPARATOR@
223RANLIB = @RANLIB@
224SED = @SED@
225SET_MAKE = @SET_MAKE@
226SHELL = @SHELL@
227STRIP = @STRIP@
228VERSION = @VERSION@
229abs_builddir = @abs_builddir@
230abs_srcdir = @abs_srcdir@
231abs_top_builddir = @abs_top_builddir@
232abs_top_srcdir = @abs_top_srcdir@
233ac_ct_AR = @ac_ct_AR@
234ac_ct_CC = @ac_ct_CC@
235ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
236am__include = @am__include@
237am__leading_dot = @am__leading_dot@
238am__quote = @am__quote@
239am__tar = @am__tar@
240am__untar = @am__untar@
241bindir = @bindir@
242build = @build@
243build_alias = @build_alias@
244build_cpu = @build_cpu@
245build_os = @build_os@
246build_vendor = @build_vendor@
247builddir = @builddir@
248datadir = @datadir@
249datarootdir = @datarootdir@
250docdir = @docdir@
251dvidir = @dvidir@
252exec_prefix = @exec_prefix@
253host = @host@
254host_alias = @host_alias@
255host_cpu = @host_cpu@
256host_os = @host_os@
257host_vendor = @host_vendor@
258htmldir = @htmldir@
259includedir = @includedir@
260infodir = @infodir@
261install_sh = @install_sh@
262libdir = @libdir@
263libexecdir = @libexecdir@
264localedir = @localedir@
265localstatedir = @localstatedir@
266mandir = @mandir@
267mkdir_p = @mkdir_p@
268oldincludedir = @oldincludedir@
269pdfdir = @pdfdir@
270prefix = @prefix@
271program_transform_name = @program_transform_name@
272psdir = @psdir@
273sbindir = @sbindir@
274sharedstatedir = @sharedstatedir@
275srcdir = @srcdir@
276sysconfdir = @sysconfdir@
277target_alias = @target_alias@
278top_build_prefix = @top_build_prefix@
279top_builddir = @top_builddir@
280top_srcdir = @top_srcdir@
281securitydir = $(includedir)/security
282security_HEADERS = \
283 openpam.h \
284 openpam_attr.h \
285 openpam_version.h \
286 pam_appl.h \
287 pam_constants.h \
288 pam_modules.h \
289 pam_types.h
290
291all: all-am
292
293.SUFFIXES:
294$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
295 @for dep in $?; do \
296 case '$(am__configure_deps)' in \
297 *$$dep*) \
298 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
299 && { if test -f $@; then exit 0; else break; fi; }; \
300 exit 1;; \
301 esac; \
302 done; \
303 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign include/security/Makefile'; \
304 $(am__cd) $(top_srcdir) && \
305 $(AUTOMAKE) --foreign include/security/Makefile
306.PRECIOUS: Makefile
307Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
308 @case '$?' in \
309 *config.status*) \
310 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
311 *) \
312 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
313 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
314 esac;
315
316$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
317 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
318
319$(top_srcdir)/configure: $(am__configure_deps)
320 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
321$(ACLOCAL_M4): $(am__aclocal_m4_deps)
322 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
323$(am__aclocal_m4_deps):
324
325mostlyclean-libtool:
326 -rm -f *.lo
327
328clean-libtool:
329 -rm -rf .libs _libs
330install-securityHEADERS: $(security_HEADERS)
331 @$(NORMAL_INSTALL)
332 @list='$(security_HEADERS)'; test -n "$(securitydir)" || list=; \
333 if test -n "$$list"; then \
334 echo " $(MKDIR_P) '$(DESTDIR)$(securitydir)'"; \
335 $(MKDIR_P) "$(DESTDIR)$(securitydir)" || exit 1; \
336 fi; \
337 for p in $$list; do \
338 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
339 echo "$$d$$p"; \
340 done | $(am__base_list) | \
341 while read files; do \
342 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(securitydir)'"; \
343 $(INSTALL_HEADER) $$files "$(DESTDIR)$(securitydir)" || exit $$?; \
344 done
345
346uninstall-securityHEADERS:
347 @$(NORMAL_UNINSTALL)
348 @list='$(security_HEADERS)'; test -n "$(securitydir)" || list=; \
349 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
350 dir='$(DESTDIR)$(securitydir)'; $(am__uninstall_files_from_dir)
351
352ID: $(am__tagged_files)
353 $(am__define_uniq_tagged_files); mkid -fID $$unique
354tags: tags-am
355TAGS: tags
356
357tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
358 set x; \
359 here=`pwd`; \
360 $(am__define_uniq_tagged_files); \
361 shift; \
362 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
363 test -n "$$unique" || unique=$$empty_fix; \
364 if test $$# -gt 0; then \
365 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
366 "$$@" $$unique; \
367 else \
368 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
369 $$unique; \
370 fi; \
371 fi
372ctags: ctags-am
373
374CTAGS: ctags
375ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
376 $(am__define_uniq_tagged_files); \
377 test -z "$(CTAGS_ARGS)$$unique" \
378 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
379 $$unique
380
381GTAGS:
382 here=`$(am__cd) $(top_builddir) && pwd` \
383 && $(am__cd) $(top_srcdir) \
384 && gtags -i $(GTAGS_ARGS) "$$here"
385cscopelist: cscopelist-am
386
387cscopelist-am: $(am__tagged_files)
388 list='$(am__tagged_files)'; \
389 case "$(srcdir)" in \
390 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
391 *) sdir=$(subdir)/$(srcdir) ;; \
392 esac; \
393 for i in $$list; do \
394 if test -f "$$i"; then \
395 echo "$(subdir)/$$i"; \
396 else \
397 echo "$$sdir/$$i"; \
398 fi; \
399 done >> $(top_builddir)/cscope.files
400
401distclean-tags:
402 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
403
404distdir: $(DISTFILES)
405 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
406 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
407 list='$(DISTFILES)'; \
408 dist_files=`for file in $$list; do echo $$file; done | \
409 sed -e "s|^$$srcdirstrip/||;t" \
410 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
411 case $$dist_files in \
412 */*) $(MKDIR_P) `echo "$$dist_files" | \
413 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
414 sort -u` ;; \
415 esac; \
416 for file in $$dist_files; do \
417 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
418 if test -d $$d/$$file; then \
419 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
420 if test -d "$(distdir)/$$file"; then \
421 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
422 fi; \
423 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
424 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
425 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
426 fi; \
427 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
428 else \
429 test -f "$(distdir)/$$file" \
430 || cp -p $$d/$$file "$(distdir)/$$file" \
431 || exit 1; \
432 fi; \
433 done
434check-am: all-am
435check: check-am
436all-am: Makefile $(HEADERS)
437installdirs:
438 for dir in "$(DESTDIR)$(securitydir)"; do \
439 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
440 done
441install: install-am
442install-exec: install-exec-am
443install-data: install-data-am
444uninstall: uninstall-am
445
446install-am: all-am
447 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
448
449installcheck: installcheck-am
450install-strip:
451 if test -z '$(STRIP)'; then \
452 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
453 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
454 install; \
455 else \
456 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
457 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
458 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
459 fi
460mostlyclean-generic:
461
462clean-generic:
463
464distclean-generic:
465 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
466 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
467
468maintainer-clean-generic:
469 @echo "This command is intended for maintainers to use"
470 @echo "it deletes files that may require special tools to rebuild."
471clean: clean-am
472
473clean-am: clean-generic clean-libtool mostlyclean-am
474
475distclean: distclean-am
476 -rm -f Makefile
477distclean-am: clean-am distclean-generic distclean-tags
478
479dvi: dvi-am
480
481dvi-am:
482
483html: html-am
484
485html-am:
486
487info: info-am
488
489info-am:
490
491install-data-am: install-securityHEADERS
492
493install-dvi: install-dvi-am
494
495install-dvi-am:
496
497install-exec-am:
498
499install-html: install-html-am
500
501install-html-am:
502
503install-info: install-info-am
504
505install-info-am:
506
507install-man:
508
509install-pdf: install-pdf-am
510
511install-pdf-am:
512
513install-ps: install-ps-am
514
515install-ps-am:
516
517installcheck-am:
518
519maintainer-clean: maintainer-clean-am
520 -rm -f Makefile
521maintainer-clean-am: distclean-am maintainer-clean-generic
522
523mostlyclean: mostlyclean-am
524
525mostlyclean-am: mostlyclean-generic mostlyclean-libtool
526
527pdf: pdf-am
528
529pdf-am:
530
531ps: ps-am
532
533ps-am:
534
535uninstall-am: uninstall-securityHEADERS
536
537.MAKE: install-am install-strip
538
539.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
540 clean-libtool cscopelist-am ctags ctags-am distclean \
541 distclean-generic distclean-libtool distclean-tags distdir dvi \
542 dvi-am html html-am info info-am install install-am \
543 install-data install-data-am install-dvi install-dvi-am \
544 install-exec install-exec-am install-html install-html-am \
545 install-info install-info-am install-man install-pdf \
546 install-pdf-am install-ps install-ps-am \
547 install-securityHEADERS install-strip installcheck \
548 installcheck-am installdirs maintainer-clean \
549 maintainer-clean-generic mostlyclean mostlyclean-generic \
550 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
551 uninstall-am uninstall-securityHEADERS
552
553
554# Tell versions [3.59,3.63) of GNU make to not export all variables.
555# Otherwise a system limit (for SysV at least) may be exceeded.
556.NOEXPORT: